Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class AMQP.Exchange.Unbind.Builder

    java.lang.Object
      com.rabbitmq.client.AMQP.Exchange.Unbind.Builder

Enclosing interface:
  AMQP.Exchange.Unbind

    public static final class AMQP.Exchange.Unbind.Builder

extends java.lang.Object

Constructor Summary
`AMQP.Exchange.Unbind.Builder()`

Method Summary
`AMQP.Exchange.Unbind.Builder` | `arguments(java.util.Map<java.lang.String,java.lang.Object> arguments)`
`AMQP.Exchange.Unbind` | `build()`
`AMQP.Exchange.Unbind.Builder` | `destination(java.lang.String destination)`
`AMQP.Exchange.Unbind.Builder` | `nowait()`
`AMQP.Exchange.Unbind.Builder` | `nowait(boolean nowait)`
`AMQP.Exchange.Unbind.Builder` | `routingKey(java.lang.String routingKey)`
`AMQP.Exchange.Unbind.Builder` | `source(java.lang.String source)`
`AMQP.Exchange.Unbind.Builder` | `ticket(int ticket)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AMQP.Exchange.Unbind.Builder

    public AMQP.Exchange.Unbind.Builder()

Method Detail

### ticket

    public AMQP.Exchange.Unbind.Builder ticket(int ticket)

### destination

    public AMQP.Exchange.Unbind.Builder destination(java.lang.String destination)

### source

    public AMQP.Exchange.Unbind.Builder source(java.lang.String source)

### routingKey

    public AMQP.Exchange.Unbind.Builder routingKey(java.lang.String routingKey)

### nowait

    public AMQP.Exchange.Unbind.Builder nowait(boolean nowait)

### nowait

    public AMQP.Exchange.Unbind.Builder nowait()

### arguments

    public AMQP.Exchange.Unbind.Builder arguments(java.util.Map<java.lang.String,java.lang.Object> arguments)

### build

    public AMQP.Exchange.Unbind build()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD